# add-banner [![NPM version](https://badge.fury.io/js/add-banner.png)](http://badge.fury.io/js/add-banner)

> Add a banner to a string. Banners are just Lo-Dash/underscore templates, if a custom one isn't defined a default will be used.

* Banner templates are just Lo-Dash/Underscore templates. Anything that works with those libs will work in banner templates.
* package.json is used for context
* the `options` object can be used to extend the context (package.json) passed to templates

## Install
Install with [npm](npmjs.org):

```bash
npm i add-banner --save-dev
```

Specify a file:

```js
addBanner('index.js');
```
Results in:

```js
/*!
 * banner-cli <https://github.com/jonschlinkert/banner-cli>
 *
 * Copyright (c) 2014 Jon Schlinkert, contributors.
 * Licensed under the MIT license.
 */
var yourCode = function() {};
```

## Usage
### addBanner(str, options)

**Examples:**

```js
var banner = require('add-banner');
banner('index.js');
```

Specify a custom banner:

```js
var banner = require('add-banner');
banner('index.js', {banner: 'my-banner.tmpl'});
```

Extend the context:

```js
var banner = require('add-banner');
banner('index.js', {username: 'jonschlinkert'});
```

**Params:**

* `filepath` {String}: The file to update with a banner. 
* `options` {Object}: Pass a custom banner template to `banner`, or extend the context passed to templates. By default package.json is used, any property added to the options object will extend the default object (package.json) and will be passed to templates as context.  
* `return`{String}

## Author

**Jon Schlinkert (https://github.com/jonschlinkert)**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert (https://github.com/jonschlinkert), contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on June 28, 2014._